function getPath()
{
	$key32 = 'HKLM:\Software\Wow6432Node\Sage\Switzerland\Install\'
	$Key64 = 'HKLM:\Software\Sage\Switzerland\Install\'
	if (Test-Path "$($key64)"){
		return (Get-ItemProperty -Path $Key64 -Name Hauptpfad).Hauptpfad + "Transmitter"
	}
	elseif (Test-Path "$($key32)"){
		return (Get-ItemProperty -Path $Key32 -Name Hauptpfad).Hauptpfad + "Transmitter"
	}
	else {
		Read-Host -Prompt "Registry Eintrag nicht gefunden. Benutzer standard"
		return "C:\Program Files\Sage\SageStart\Transmitter"
	}
}

$ElmPath = getPath
$DataPath = $env:ProgramData + "\Sage\Transmitter"
if (Test-Path "$($DataPath)\ELM_TreeView.xml"){
	Remove-Item -Path "$($DataPath)\ELM_TreeView.xml" -Force
}
$Reports = "$($DataPath)\Reports"
if (Test-Path $Reports){
	Remove-Item "$($Reports)\*" -Force
}	
$Requests = "$($DataPath)\Request"
if (Test-Path $Requests){
	Remove-Item "$($Requests)\*" -Force
}
$Response = "$($DataPath)\Response"
if (Test-Path $Response){
	Remove-Item "$($Response)\*" -Force
}
$error.Clear()
$destination =  "$($ElmPath)\ELMStart.exe"
if (Test-Path $Destination){
	Remove-Item "$($Destination)" -Force
}
$scriptPath = split-path -parent $MyInvocation.MyCommand.Definition
Copy-Item "$($scriptPath)\ELMStart.exe" -Destination "$($ElmPath)" -Force
if ($error.Count -gt 0){
	"Erreur lors de la copie de transmetteur"
@'
"Veuillez copier le fichier "ELMStart.exe" du correctif manuellement dans "C:\Programs\Sage\SageStart\Transmitter" ou contactez le support Sage ou votre partenaire commercial"
'@
}
else{
	"Hotfix installé avec succès"
}
	